Bug 210278 - [new port] astro/py-astropy: Community-developed python astronomy tools
Summary: [new port] astro/py-astropy: Community-developed python astronomy tools
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-06-14 16:17 UTC by Nathan Whitehorn
Modified: 2016-07-02 19:34 UTC (History)
2 users (show)

See Also:


Attachments
Patch to add port (3.13 KB, patch)
2016-06-14 16:17 UTC, Nathan Whitehorn
no flags Details | Diff
Shell archive of astropy port (1.70 KB, text/plain)
2016-06-26 21:10 UTC, Nathan Whitehorn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Whitehorn freebsd_committer 2016-06-14 16:17:39 UTC
Created attachment 171432 [details]
Patch to add port

Adds a port for astropy (http://www.astropy.org).
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2016-06-18 23:02:45 UTC
Hi Nathan,

please send the new port as a shar archive as described in PH:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-submitting.html

Adjustments to conflicting ports need to go in separate patch file. Thanks.
Comment 2 Nathan Whitehorn freebsd_committer 2016-06-26 21:10:40 UTC
Created attachment 171834 [details]
Shell archive of astropy port

Here's the shar version.
Comment 3 commit-hook freebsd_committer 2016-07-02 19:31:56 UTC
A commit references this bug:

Author: swills
Date: Sat Jul  2 19:31:17 UTC 2016
New revision: 417939
URL: https://svnweb.freebsd.org/changeset/ports/417939

Log:
  astro/py-astropy: create port

  Astropy is a package intended to contain core functionality and some common
  tools needed for performing astronomy and astrophysics research with Python. It
  also provides an index for other astronomy packages and tools for managing
  them.

  WWW: http://www.astropy.org

  PR:		210278
  Submitted by:	nathanw

Changes:
  head/astro/Makefile
  head/astro/py-astropy/
  head/astro/py-astropy/Makefile
  head/astro/py-astropy/distinfo
  head/astro/py-astropy/files/
  head/astro/py-astropy/files/patch-astropy_io_fits_setup__package.py
  head/astro/py-astropy/files/patch-astropy_modeling_setup__package.py
  head/astro/py-astropy/files/patch-astropy_wcs_setup__package.py
  head/astro/py-astropy/pkg-descr
Comment 4 Steve Wills freebsd_committer 2016-07-02 19:34:05 UTC
Committed, thanks!